import {IDropdownItem} from './IDropdownItem';
import { TTreeSelectItems } from '../../../types/TTreeSelectObject';

export interface IEmbeddedTreeSelect {
    setDropdownItemCreator(callback:()=>IDropdownItem): void;
    init(input:HTMLInputElement): void;
    loadData(data:TTreeSelectItems): void;
    hideDropdown(): void;
    setValue(val:any): void;
    getValue(): any;
    setAlias(align:string): void;
}